[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 1/2] virsh: Don't use legacy API if --current is used on device hot(un)plug



On 01/07/2014 10:12 AM, Peter Krempa wrote:
> https://bugzilla.redhat.com/show_bug.cgi?id=1049529
> 
> The legacy virDomainAttachDevice and virDomainDetachDevice operate only
> on active domains. When a user specified --current flag with an inactive
> domain the old API was used and reported an error. Fix it by calling the
> new API if --current is specified explicitly.
> ---
>  tools/virsh-domain.c | 12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)

ACK.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]